> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Pages People Also Viewed

> Get Company Pages People Also Viewed



## OpenAPI

````yaml /openapi/linkedin.openapi.json get /v1/data/linkedin/get-company-pages-people-also-viewed
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/get-company-pages-people-also-viewed:
    get:
      tags:
        - Company
      summary: Get Company Pages People Also Viewed
      description: Get Company Pages People Also Viewed
      operationId: Get_Company_Pages_People_Also_Viewed
      parameters:
        - name: username
          in: query
          required: false
          schema:
            type: string
            default: google
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get_linkedin_get_company_pages_people_also_viewed_Response
              example:
                success: true
                message: ''
                data:
                  - id: '1586'
                    name: Amazon
                    universalName: amazon
                    tagline: ''
                    description: ''
                    type: ''
                    phone: ''
                    Images:
                      logo: ''
                      cover: ''
                    staffCount: 0
                    headquarter: null
                    locations: null
                    industries: null
                    specialities: null
                    website: ''
                    founded: null
                    callToAction: null
                    followerCount: 0
                    staffCountRange: ''
                    crunchbaseUrl: ''
                  - id: '1035'
                    name: Microsoft
                    universalName: microsoft
                    tagline: ''
                    description: ''
                    type: ''
                    phone: ''
                    Images:
                      logo: ''
                      cover: ''
                    staffCount: 0
                    headquarter: null
                    locations: null
                    industries: null
                    specialities: null
                    website: ''
                    founded: null
                    callToAction: null
                    followerCount: 0
                    staffCountRange: ''
                    crunchbaseUrl: ''
                  - id: '162479'
                    name: Apple
                    universalName: apple
                    tagline: ''
                    description: ''
                    type: ''
                    phone: ''
                    Images:
                      logo: ''
                      cover: ''
                    staffCount: 0
                    headquarter: null
                    locations: null
                    industries: null
                    specialities: null
                    website: ''
                    founded: null
                    callToAction: null
                    followerCount: 0
                    staffCountRange: ''
                    crunchbaseUrl: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_linkedin_get_company_pages_people_also_viewed_Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              universalName:
                type: string
              tagline:
                type: string
              description:
                type: string
              type:
                type: string
              phone:
                type: string
              Images:
                type: object
                properties:
                  logo:
                    type: string
                  cover:
                    type: string
              staffCount:
                type: integer
              headquarter:
                type: string
                nullable: true
              locations:
                type: string
                nullable: true
              industries:
                type: string
                nullable: true
              specialities:
                type: string
                nullable: true
              website:
                type: string
              founded:
                type: string
                nullable: true
              callToAction:
                type: string
                nullable: true
              followerCount:
                type: integer
              staffCountRange:
                type: string
              crunchbaseUrl:
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.